Bug 165918 - unable to build net-mgmt/zenoss with subversion
unable to build net-mgmt/zenoss with subversion
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 08:40 UTC by timp87
Modified: 2012-06-18 19:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description timp87 2012-03-11 08:40:10 UTC
If you have installed devel/subversion you can't build net-mgmt/zenoss.

[root@timbsd /usr/ports/net-mgmt/zenoss]# pkg_info -Ex subver
subversion-1.7.3
[root@timbsd /usr/ports/net-mgmt/zenoss]# make install
===>  License GPLv2 accepted by the user
=> zenoss-3.1.0.tar.gz doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://heanet.dl.sourceforge.net/project/zenoss/zenoss-3.1/zenoss-3.1.0/zenoss-3.1.0.tar.gz
zenoss-3.1.0.tar.gz                           100% of  100 MB 1207 kBps 00m00s
=> JSBuilder2.zip doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch http://dev.sencha.com/deploy/JSBuilder2.zip
JSBuilder2.zip                                100% of  849 kB  442 kBps
===>  Extracting for zenoss-3.1.0
=> SHA256 Checksum OK for zenoss-3.1.0.tar.gz.
=> SHA256 Checksum OK for JSBuilder2.zip.
===>  Patching for zenoss-3.1.0
===>  Applying FreeBSD patches for zenoss-3.1.0
===>   zenoss-3.1.0 depends on package: swig>=1.3 - found
===>   zenoss-3.1.0 depends on file: /usr/local/bin/unzip - found
===>   zenoss-3.1.0 depends on file: /usr/local/openjdk6/bin/java - found
===>   zenoss-3.1.0 depends on executable: gmake - found
===>   zenoss-3.1.0 depends on file: /usr/local/bin/autoconf-2.68 - found
===>   zenoss-3.1.0 depends on shared library: mysqlclient.18 - found
===>  Configuring for zenoss-3.1.0
===>  Building for zenoss-3.1.0
===>  Installing for zenoss-3.1.0
===>   zenoss-3.1.0 depends on package: bash>=4.1 - found
===>   zenoss-3.1.0 depends on package: net-snmp>=5.5 - found
===>   zenoss-3.1.0 depends on package: liberation-fonts-ttf>=1.05 - found
===>   Generating temporary packing list
===>  Checking if net-mgmt/zenoss already installed
===> Creating users and/or groups.
Using existing group `zenoss'.
Using existing user `zenoss'.
./genpatchdeps.sh >.patchdeps
installing into: //usr/local/zenoss
build log is in /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/zenbuild.log
 unpacking: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/libzenoss/Products.tar.gz --into--> //usr/local/zenoss/libzenoss
 unpacking: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/libzenoss/bin.tar.gz --into--> //usr/local/zenoss/libzenoss
 unpacking: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/libzenoss/extras.tar.gz --into--> //usr/local/zenoss/libzenoss
for i in /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/externallibs/Licenses.html ; do \
        cp $i //usr/local/zenoss/ ; \
done
  unpacking: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/build/Python-2.6.2
patching file Lib/cgi.py
patching file Lib/xmlrpclib.py
Hunk #1 succeeded at 241 (offset 5 lines).
Hunk #2 succeeded at 676 (offset 74 lines).
Hunk #3 succeeded at 703 (offset 74 lines).
Hunk #4 succeeded at 804 (offset 84 lines).
Hunk #5 succeeded at 830 (offset 84 lines).
configuring: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/build/Python-2.6.2/Makefile
   building: /usr/ports/net-mgmt/zenoss/work/zenoss-3.1.0/build/Python-2.6.2
unable to build zenoss and prerequisites, see zenbuild.log
*** Error code 1

Stop in /usr/ports/net-mgmt/zenoss.


zenbuild.log is here http://pastebin.com/XZ2t339s

Fix: 

Delete devel/subversion from your system. Install net-mgmt/zenoss and then install devel/subversion again.
How-To-Repeat: Install devel/subversion and then try to build net-mgmt/zenoss.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-11 08:40:49 UTC
Maintainer of net-mgmt/zenoss,

Please note that PR ports/165918 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/165918

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-03-11 08:40:52 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-05-15 07:45:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 jgh@FreeBSD.org freebsd_committer 2012-06-15 23:14:12 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I am building a patch now that seems to have fixed this issue. Here is a
link to the fix:

https://redports.org/changeset/4491

- -jgh
- -- 
Jason Helfman
FreeBSD Committer | http://people.freebsd.org/~jgh | The Power To Serve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.19 (FreeBSD)

iQEcBAEBAgAGBQJP27O0AAoJECBZmmNBUNPciRoIAJ7svJxQ1h062dwIEHgU+jTQ
r5VdBX5m95TqFGbEa3+8VQyY0x4+C4hqulxyo70oCI9GASb0fM3bnRzlE7JXOP3K
NIRO++ZPqpooHJbkUqOwBNV0GTfdF/td8AKoklqrMCiPUBmRcM81JTXqC+wqLqEG
XUkoeHJc3PxxZqqqOG3GWfVlyUtX7lkOp4FhgdIMdqKUP68S61tGFhXNte/xTsmp
1Zgd97nbkao0mzLyMUbE6CffKi+JjvdIzZ9x3X6QopcqABzLcFbg5F+2aMyvdO4a
hpGnKp9XNlGMygBx8CQeaGj5Kdsvk67eUHdJKsvJEY9x3FT70jb8N3nAr3EB3fs=
=At0D
-----END PGP SIGNATURE-----
Comment 5 dfilter freebsd_committer 2012-06-18 18:55:53 UTC
jgh         2012-06-18 17:55:38 UTC

  FreeBSD ports repository

  Modified files:
    net-mgmt/zenoss      Makefile 
  Log:
  - move maintainership over from pphillips@experts-exchange.com to zenoss@experts-exchange.com
  - adding options for bash static, but not changing default of bash [1]
  - adding in local build issue fix for a umask issue (based on mail from fbsd-ports@opsec.eu ) [1]
  - fix build issue conflict for an installed subversion [2]
  - fix build issues with font directory ( based on mail from fbsd-ports@opsec.eu )
  - pet portlint
  
  Note to Zenoss users: There is no need to update your installation, if it is already installed.
  
  PR:     ports/168764 [1]
  PR:     ports/165918 [2]
  Submitted by:   jgh@ [2], fbsd-ports@opsec.eu,jgh [1]
  Reviewed by:    maintainer, pphillips@experts-exchange.com
  Approved by:    maintainer, pphillips@experts-exchange.com
  
  Revision  Changes    Path
  1.3       +25 -7     ports/net-mgmt/zenoss/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 jgh@FreeBSD.org freebsd_committer 2012-06-18 18:57:37 UTC
State Changed
From-To: feedback->open

maintainer approved patch
Comment 7 jgh@FreeBSD.org freebsd_committer 2012-06-18 18:58:39 UTC
State Changed
From-To: open->closed

fix has been committed, thanks for the report!